Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-2871

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2005-2871
Last Modified 07 Mar 2011 09:25:11
Published 09 Sep 2005 02:03:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2005-2871

Summary

Buffer overflow in the International Domain Name (IDN) support in Mozilla Firefox 1.0.6 and earlier, and Netscape 8.0.3.3 and 7.2, allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a hostname with all "soft" hyphens (character 0xAD), which is not properly handled by the NormalizeIDN call in nsStandardURL::BuildNormalizedSpec.

Vulnerable Systems

Application

  • Mozilla Firefox 1.0

  • Mozilla Firefox 1.0.1

  • Mozilla Firefox 1.0.2

  • Mozilla Firefox 1.0.3

  • Mozilla Firefox 1.0.4

  • Mozilla Firefox 1.0.5

  • Mozilla Firefox 1.0.6

  • Mozilla Firefox 1.5


References

CERT-VN - VU#573857

VUPEN - ADV-2005-1824

VUPEN - ADV-2005-1691

VUPEN - ADV-2005-1690

MISC - http://www.security-protocols.com/firefox-death.html

MISC - http://www.security-protocols.com/advisory/sp-x17-advisory.txt

FULLDISC - 20050909 Mozilla Firefox "Host:" Buffer Overflow

CONFIRM - https://bugzilla.mozilla.org/show_bug.cgi?id=307259

XF - mozilla-url-bo(22207)

UBUNTU - USN-181-1

BID - 14784

MISC - http://www.securiteam.com/securitynews/5RP0B0UGVW.html

REDHAT - RHSA-2005:791

REDHAT - RHSA-2005:769

REDHAT - RHSA-2005:768

FEDORA - FLSA-2006:168375

OSVDB - 19255

CONFIRM - http://www.mozilla.org/security/announce/mfsa2005-57.html

MANDRIVA - MDKSA-2005:174

GENTOO - GLSA-200509-11

DEBIAN - DSA-868

DEBIAN - DSA-866

DEBIAN - DSA-837

CIAC - P-303

SECTRACK - 1014877

SREASON - 83

SECUNIA - 17284

SECUNIA - 17263

SECUNIA - 17090

SECUNIA - 17042

SECUNIA - 16767

SECUNIA - 16766

SECUNIA - 16764

FULLDISC - 20050911 FireFox "Host:" Buffer Overflow is not just exploitable on FireFox


Last Updated: 27 May 2016 10:40:40